// 调整显示分类栏目顺序
function mUp(o){
	var p=$(o).parent();
	p.insertBefore(p.prev());
	setValue();
}
function mDown(o){
	var p=$(o).parent();
	p.insertAfter(p.next());
	setValue();
}
function mAdd(o){
	var p=$(o).parent();
	var n=p.find(".name").text();
	p.html("<a href='###' onclick='mUp(this)'>↑</a> <a href='###' onclick='mDown(this)'>↓</a> <a href='###' onclick='mDel(this)'>x</a> <span class='name'>"+ n +"</span>");
	$("#bCon1").append(p);
	setValue();
}

function mDel(o){
	var p=$(o).parent();
	var n=p.find(".name").text();
	p.html("<a href='###' onclick='mAdd(this)'>←</a> <span class='name'>"+ n +"</span>");
	$("#bCon2").append(p);
	setValue();
}

function initBindSort(){
	var bsorts = $("#bindSorts").val();
	var s_b = bsorts==null ? [] : bsorts.split(',');
	for(var i=0;i<s_a.length;i++){
		$("#bCon2").append("<div title='"+ s_a[i][0] +"'><a href='###' onclick='mAdd(this)'>←</a> <span class='name'>"+ s_a[i][1] +"</span></div>");
	}
	for(var i=0;i<s_b.length;i++){
		var divs=$("#bCon2 div[title="+ s_b[i] +"]");
		if (divs.length==1){
			mAdd(divs.children().get(0));
		}
	}
}

function setValue(){
	var s="";
	$("#bCon1").children().each(function(i){
		if (s.length>0){
			s+=",";
		}
		s+=this.title;
	});
	$("#bindSorts").val(s);
}